Bug 115734 - x11-wm/compiz : bad dependencies
Summary: x11-wm/compiz : bad dependencies
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Stefan Walter
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-08-22 22:20 UTC by Olivier
Modified: 2007-09-30 13:10 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Olivier 2007-08-22 22:20:01 UTC
during "configure" :
# cd /usr/ports/x11-wm/compiz
# make
[...]
checking for COMPIZ... gnome-config: not found
configure: error: Package requirements (xcomposite               xfixes         xdamage                  xrandr                  xinerama                ice                     sm                      libxml-2.0              libxslt        libstartup-notification-1.0 >= 0.7) were not met:
No package 'libxslt' found

Fix: 

Add textproc/libxslt to the dependencies
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2007-08-22 23:42:50 UTC
Responsible Changed
From-To: freebsd-bugs->freebsd-ports-bugs

ports PR.
Comment 2 Olivier 2007-08-23 09:07:58 UTC
Note : I don't see any dependency on libxml-2.0 in the port's
Makefile, too. I think these are LIB_DEPENDS, will check this evening.

Olivier
Comment 3 Olivier 2007-08-23 18:33:14 UTC
--- Makefile.old	Thu Aug 23 19:28:59 2007
+++ Makefile	Thu Aug 23 19:29:11 2007
@@ -24,7 +24,7 @@
 USE_GMAKE=	yes
 USE_GETTEXT=	yes
 USE_GL=		glu
-USE_GNOME=	gnomehack gconf2
+USE_GNOME=	gnomehack gconf2 libxslt
 USE_XORG=	xcomposite xfixes xdamage xrandr xrender ice sm xinerama glproto
 USE_LDCONFIG=	yes
 USE_AUTOTOOLS=	libtool:15
Comment 4 Olivier 2007-08-23 18:34:55 UTC
% ldd `which compiz` | grep xslt
        libxslt.so.2 => /usr/local/lib/libxslt.so.2 (0x280dc000)
(and libxslt is needed to build x11-wm/compiz)

Cheers,
Olivier

-- 
Olivier Smedts                                                 _
                                        ASCII ribbon campaign ( )
e-mail: olivier@gid0.org        - against HTML email & vCards  X
www: http://www.gid0.org    - against proprietary attachments / \

  "Il y a seulement 10 sortes de gens dans le monde :
  ceux qui comprennent le binaire,
  et ceux qui ne le comprennent pas."
Comment 5 Robert Noland 2007-08-28 17:40:56 UTC
I'll ack the libxslt change.  Were you building with default options?
I'm curious why I didn't catch this in my tinderbox.

libxml2 is pulled in via gconf2.

robert.

-- 
Robert Noland <rnoland@2hip.net>
Comment 6 Olivier 2007-08-28 19:37:36 UTC
Sorry, haven't checked OPTIONS..
% cat /var/db/ports/compiz/options
# This file is auto-generated by 'make config'.
# No user-servicable parts inside!
# Options for compiz-0.5.2
_OPTIONS_READ=compiz-0.5.2
WITH_RSVG=true
WITH_GTK=true
WITHOUT_METACITY=true
WITHOUT_GNOME=true
WITHOUT_DBUS=true
WITHOUT_FUSEFS=true
# cd /usr/ports/x11-wm/compiz
# make extract
# grep -B 8 libxslt work/compiz-0.5.2/configure
COMPIZ_REQUIRES="xcomposite \
                 xfixes     \
                 xdamage    \
                 xrandr     \
                 xinerama   \
                 ice        \
                 sm         \
                 libxml-2.0 \
                 libxslt    \

That don't seem to come from my OPTIONS.
I think libxslt is pulled in by a dependency with default OPTIONS, one
I don't have. That's why it should maybe be better to directly depend
on libxml2 too, as compiz tell depending on it.

Olivier

2007/8/28, Robert Noland <rnoland@2hip.net>:
> I'll ack the libxslt change.  Were you building with default options?
> I'm curious why I didn't catch this in my tinderbox.
>
> libxml2 is pulled in via gconf2.
>
> robert.
>
> --
> Robert Noland <rnoland@2hip.net>
>
>


-- 
Olivier Smedts                                                 _
                                        ASCII ribbon campaign ( )
e-mail: olivier@gid0.org        - against HTML email & vCards  X
www: http://www.gid0.org    - against proprietary attachments / \

  "Il y a seulement 10 sortes de gens dans le monde :
  ceux qui comprennent le binaire,
  et ceux qui ne le comprennent pas."
Comment 7 Stefan Walter freebsd_committer 2007-09-30 13:01:35 UTC
Responsible Changed
From-To: freebsd-ports-bugs->stefan

Take.
Comment 8 Stefan Walter freebsd_committer 2007-09-30 13:05:07 UTC
State Changed
From-To: open->closed

Committed, thanks!
Comment 9 dfilter service freebsd_committer 2007-09-30 13:05:08 UTC
stefan      2007-09-30 12:05:03 UTC

  FreeBSD ports repository

  Modified files:
    x11-wm/compiz        Makefile 
  Log:
  Add textproc/libxslt to the dependencies.
  
  PR:             115734
  Submitted by:   Olivier Smedts <olivier@gid0.org>
  Approved by:    maintainer
  
  Revision  Changes    Path
  1.4       +1 -1      ports/x11-wm/compiz/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"